Bug 168213 - Review request: perl-Test-Inline - Test::Inline Perl module
Summary: Review request: perl-Test-Inline - Test::Inline Perl module
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Test-Inline/
Whiteboard:
Keywords:
Depends On: 167282 168174 168175 168178 168187 168298 169112
Blocks: FE-ACCEPT 169247
TreeView+ depends on / blocked
 
Reported: 2005-09-13 15:48 UTC by Ralf Corsepius
Modified: 2014-01-21 18:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 01:46:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-cvs+


Attachments (Terms of Use)
Patch addressing review issues (1.32 KB, patch)
2005-10-07 13:23 UTC, Paul Howarth
no flags Details | Diff

Description Ralf Corsepius 2005-09-13 15:48:19 UTC
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Inline.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Inline-2.100-1.src.rpm

Description:
Test::Inline allows you to inline your tests next to the code being tested.

Comment 1 Jose Pedro Oliveira 2005-09-14 15:25:21 UTC
Damn it! New version released yesterday.
Diff:
http://search.cpan.org/diff?from=Test-Inline-2.100&to=Test-Inline-2.101

Comment 2 Ralf Corsepius 2005-09-14 16:07:30 UTC
Most interesting detail of this diff:

 build_requires ( 'Test::More'            => '0.47'    );
 build_requires ( 'Test::ClassAPI'        => '1.02'    );
-include        ( 'ExtUtils::AutoInstall'              );
 include        ( 'Test::ClassAPI'                     );

=> Not unlikely ExtUtils::AutoInstall has become superfluous (at least here)

I'll try to provide an updated package ASAP.

Comment 3 Ralf Corsepius 2005-09-14 16:42:24 UTC
Yes, the dep on ExtUtils is gone in this case, but a new one on Param::Util has
appeared.

New package/spec to appear at:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Inline.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-Inline-2.101-1.src.rpm

Comment 6 Ralf Corsepius 2005-10-07 07:12:34 UTC
Meanwhile, all package dependencies of this package have been resolved.
I would really appreciate it, if somebody would consider to review this package.

Comment 7 Paul Howarth 2005-10-07 13:22:15 UTC
I'm back, after taking it easy for a couple of weeks due to the birth of my
first child...

Review:

- rpmlint nearly clean, see below
- package and spec file naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- BR's OK; long list of versioned dependencies matches Makefile.PL
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no .desktop file needed
- no scriptlets

Nitpick:

- a couple of typos/comment changes:

"# 2.100 - 2.102 ship with executable Changes" still applies to 2.103

changelog entry "Add filter-requires to filter bogus perl(strict)" should
refer to perl(script), not perl(strict)

- add BR: perl(Test::Pod) for extra test coverage

Notes:

= rpmlint output:
W: perl-Test-Inline strange-permission perl-Test-Inline-filter-requires.sh 0755
script needs to be executable in SRPM or it won't work, so this is OK.

- the filter-requires script is used to filter out the bogus perl(script)
  dependency originating from Test/Inline/Content.pm

Approved.



Comment 8 Paul Howarth 2005-10-07 13:23:21 UTC
Created attachment 119702 [details]
Patch addressing review issues

Comment 9 Lubomir Rintel 2014-01-21 17:52:46 UTC
Package Change Request
======================
Package Name: perl-Test-Inline
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (Ralf Corsepius, corsepiu) is not willing to maintain EPEL packages.

Comment 10 Gwyn Ciesla 2014-01-21 18:05:51 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.